# MissEnsemble

MissEnsemble implements the popular Missforest algorithm for imputing missing values, but it generalizes it to different ensemble methods as well. It follows the scikit-learn API. Ensemble methods currently supported: 

- Random Forests
- XGBoost

## Setup
This needs to be added!


## Usage

```python
from missensemble_class_dev import MissEnsemble

# Initialize the MissEnsemble class
miss_ensemble = MissEnsemble(n_iter=10, categorical_vars=['cat_var1', 'cat_var2'], ordinal_vars=['ord_var'], numerical_vars=['num_var1', 'num_var2'])

# Fit and transform the data
imputed_data = miss_ensemble.fit_transform(data)
```

## Dependencies

- numpy
- pandas
- scikit-learn
- xgboost
- seaborn
- matplotlib

## Parameters (this is important to state here??)

- `n_iter` (int): The number of iterations to perform for imputation.
- `categorical_vars` (list): A list of column names representing categorical variables.
- `ordinal_vars` (list): A list of column names representing ordinal variables.
- `numerical_vars` (list): A list of column names representing numerical variables.
- `ens_method` (str, optional) : The ensemble method to use for imputation. Default is 'forest'.
- `n_estimators` (int, optional) : The number of estimators to use in the ensemble method. Default is 100.
- `random_state` (in, optional) : The random state for reproducibility. Default is 42.
- `print_criteria` (bool, optional) : Whether to print the imputation criteria during fitting. Default is True.


## Cool things about the package

## Literature
Stekhoven, D. J., & Bühlmann, P. (2012). MissForest—non-parametric missing value imputation for mixed-type data. Bioinformatics, 28(1), 112-118.